Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167695 - blocked AWT during svn co/up
blocked AWT during svn co/up
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
6.x
All All
: P2 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
67patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 12:32 UTC by Lukas Jungmann
Modified: 2009-07-22 09:57 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
thread dump (28.17 KB, text/plain)
2009-06-26 12:32 UTC, Lukas Jungmann
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Jungmann 2009-06-26 12:32:00 UTC
-do svn co or svn up from the IDE to the folder which is available in favorites
-expand folder node in favorites

=>
"AWT-EventQueue-1" prio=6 tid=0x075d2c00 nid=0x848 waiting for monitor entry [0x
0931e000..0x0931fa68]
   java.lang.Thread.State: BLOCKED (on object monitor)
        at org.netbeans.modules.subversion.FileStatusCache.refresh(FileStatusCac
he.java:384)
        - waiting to lock <0x12bf8c40> (a org.netbeans.modules.subversion.FileSt
atusCache)
        at org.netbeans.modules.subversion.FileStatusCache.refresh(FileStatusCac
he.java:347)
        at org.netbeans.modules.subversion.FileStatusCache.getStatus(FileStatusC
ache.java:273)
        at org.netbeans.modules.subversion.Annotator.annotateFolderIcon(Annotato
r.java:688)
        at org.netbeans.modules.subversion.Annotator.annotateIcon(Annotator.java
:621)
        at org.netbeans.modules.subversion.FileStatusProvider.annotateIcon(FileS
tatusProvider.java:75)
        at org.netbeans.modules.versioning.VersioningAnnotationProvider.annotate
Icon(VersioningAnnotationProvider.java:100)
        at org.netbeans.modules.masterfs.filebasedfs.FileBasedFileSystem$StatusI
mpl.annotateIcon(FileBasedFileSystem.java:306)
        at org.openide.loaders.DataFolder$FolderNode.getIcon(DataFolder.java:118
9)
        at org.openide.nodes.FilterNode.getIcon(FilterNode.java:566)
        at org.openide.nodes.FilterNode.getIcon(FilterNode.java:566)
        at org.openide.explorer.view.VisualizerNode.getIcon(VisualizerNode.java:
584)
        at org.openide.explorer.view.NodeRenderer.configureFrom(NodeRenderer.jav
a:203)
Comment 1 Lukas Jungmann 2009-06-26 12:32:45 UTC
Created attachment 84055 [details]
thread dump
Comment 2 Ondrej Vrabec 2009-06-26 12:46:53 UTC
This was already fixed in cdev #a5c38ac31f1f.
But i am afraid the fix has not been integrated into 6.7.
Comment 3 Petr Dvorak 2009-07-02 13:24:28 UTC
Verified in

Product Version: NetBeans IDE Dev (Build 200907020200)
Java: 1.6.0_13; Java HotSpot(TM) Client VM 11.3-b02
System: Linux version 2.6.28-11-generic running on i386; UTF-8; en_US (nb)
Comment 4 pgebauer 2009-07-03 15:34:02 UTC
The fix has been ported into the release67_fixes repository.
http://hg.netbeans.org/release67_fixes/rev/2c0b39d16f91
Comment 5 martin_zmrhal 2009-07-16 10:52:39 UTC
Verified

Product Version: NetBeans IDE 6.7.1 RC (Build 200907150227)
Java: 1.6.0_14; Java HotSpot(TM) Client VM 14.0-b16
System: Linux version 2.6.28-11-generic running on i386; UTF-8; en_US (nb)
Comment 6 Ondrej Vrabec 2009-07-16 16:24:11 UTC
The single changeset http://hg.netbeans.org/release67_fixes/rev/2c0b39d16f91 caused a regression and a wrong behavior
(issue 168684).
Fixing the regression as http://hg.netbeans.org/release67_fixes/rev/5802306267a3 directly in release67_fixes. Please
verify again.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo